about summary refs log tree commit diff
path: root/users/glittershark/xanthous/hie.sh
diff options
context:
space:
mode:
Diffstat (limited to 'users/glittershark/xanthous/hie.sh')
-rwxr-xr-xusers/glittershark/xanthous/hie.sh10
1 files changed, 3 insertions, 7 deletions
diff --git a/users/glittershark/xanthous/hie.sh b/users/glittershark/xanthous/hie.sh
index 4ea97997c7..223a432203 100755
--- a/users/glittershark/xanthous/hie.sh
+++ b/users/glittershark/xanthous/hie.sh
@@ -1,10 +1,6 @@
 #!/usr/bin/env bash
+set -euo pipefail
 
-cd "$(dirname "${BASH_SOURCE[0]}")" || exit 1
+cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1
 
-argv=( "$@"  )
-argv=( "${argv[@]/\'/\'\\\'\'}"  )
-argv=( "${argv[@]/#/\'}"  )
-argv=( "${argv[@]/%/\'}"  )
-
-exec nix-shell --pure --run "exec $(nix-build -o dist/nix/hie -A hie)/bin/hie ${argv[*]}"
+exec nix-shell --run "$(nix-build -o dist/bin/hie hie.nix)/bin/hie $*"